# `PhoenixKitWeb.Components.OAuthButtons`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/oauth_buttons.ex#L1)

OAuth authentication buttons component for Google and Apple Sign-In.

This component automatically checks if OAuth is available and configured.
If OAuth is not available (dependencies not installed or not enabled in settings),
the buttons will not be rendered.

# `oauth_buttons`

Renders OAuth provider buttons for authentication.

This component only renders buttons if:
- OAuth is enabled in settings (oauth_enabled = true)
- Ueberauth library is loaded
- At least one provider is configured

## Examples

    <.oauth_buttons />
    <.oauth_buttons show_divider={false} />
    <.oauth_buttons class="mt-6" />

## Attributes

* `class` (`:string`) - Defaults to `""`.
* `show_divider` (`:boolean`) - Defaults to `true`.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
